
QGIS Application - Bug report #10349

field calculator bar: clicking on 'update all' won't visually refresh cell values until user clicks on rows 

region

2014-05-25 07:24 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: High

Assignee: Nathan Woodrow

Category: Attribute table

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 18770

Description

Updating a column's value via the field calculator bar's Update All button fails to refresh the modified cells until the user clicks in the rows

area. That's a problematic user experience that actually led me to think the feature was broken.

Steps to reproduce:

1. Load the attached project

2. Open the attribute table window for the project's layer

3. Activate the editing mode 

4. Set the field calculat bar's field list to 'name'

5. Enter a dummy string expression, e.g. 'my expression'

6. Click on the Update All button

7. Notice how the name cell of the unique feature / row is not updated

8. Over the row with your mouse and click on either cell

9. Notice how the name cell gets refreshed to your updated value

Related issues:

Duplicates QGIS Application - Bug report # 10345: New field calculator bar do... Closed 2014-05-25

History

#1 - 2014-05-25 07:53 PM - Mathieu Pellerin - nIRV

- Resolution set to duplicate

Just realize #10345 was filed shortly before this issue, closing as duplicate.

#2 - 2014-05-26 01:40 AM - Matthias Kuhn

- Status changed from Open to Closed

Files

update_all_problem.zip 3.56 KB 2014-05-25 Mathieu Pellerin - nIRV
